<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:42:23 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
HttpProcessorBuilder (HttpComponents Core 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="HttpProcessorBuilder (HttpComponents Core 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/HttpProcessorBuilder.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpRequestExecutor.html" title="class in org.apache.http.protocol"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/protocol/HttpProcessorBuilder.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="HttpProcessorBuilder.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.protocol</FONT>
<BR>
Class HttpProcessorBuilder</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.protocol.HttpProcessorBuilder</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>HttpProcessorBuilder</B><DT>extends <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
Builder for <A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol"><CODE>HttpProcessor</CODE></A> instances.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.3</DD>
</DL>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html#add(org.apache.http.HttpRequestInterceptor)">add</A></B>(<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html#add(org.apache.http.HttpResponseInterceptor)">add</A></B>(<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http">HttpResponseInterceptor</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html#addAll(org.apache.http.HttpRequestInterceptor...)">addAll</A></B>(<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>...&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html#addAll(org.apache.http.HttpResponseInterceptor...)">addAll</A></B>(<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http">HttpResponseInterceptor</A>...&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html#addAllFirst(org.apache.http.HttpRequestInterceptor...)">addAllFirst</A></B>(<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>...&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html#addAllFirst(org.apache.http.HttpResponseInterceptor...)">addAllFirst</A></B>(<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http">HttpResponseInterceptor</A>...&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html#addAllLast(org.apache.http.HttpRequestInterceptor...)">addAllLast</A></B>(<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>...&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html#addAllLast(org.apache.http.HttpResponseInterceptor...)">addAllLast</A></B>(<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http">HttpResponseInterceptor</A>...&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html#addFirst(org.apache.http.HttpRequestInterceptor)">addFirst</A></B>(<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html#addFirst(org.apache.http.HttpResponseInterceptor)">addFirst</A></B>(<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http">HttpResponseInterceptor</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html#addLast(org.apache.http.HttpRequestInterceptor)">addLast</A></B>(<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html#addLast(org.apache.http.HttpResponseInterceptor)">addLast</A></B>(<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http">HttpResponseInterceptor</A>&nbsp;e)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol">HttpProcessor</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html#build()">build</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html#create()">create</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="create()"><!-- --></A><H3>
create</H3>
<PRE>
public static <A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A> <B>create</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addFirst(org.apache.http.HttpRequestInterceptor)"><!-- --></A><H3>
addFirst</H3>
<PRE>
public <A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A> <B>addFirst</B>(<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>&nbsp;e)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addLast(org.apache.http.HttpRequestInterceptor)"><!-- --></A><H3>
addLast</H3>
<PRE>
public <A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A> <B>addLast</B>(<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>&nbsp;e)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="add(org.apache.http.HttpRequestInterceptor)"><!-- --></A><H3>
add</H3>
<PRE>
public <A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A> <B>add</B>(<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>&nbsp;e)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addAllFirst(org.apache.http.HttpRequestInterceptor...)"><!-- --></A><H3>
addAllFirst</H3>
<PRE>
public <A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A> <B>addAllFirst</B>(<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>...&nbsp;e)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addAllLast(org.apache.http.HttpRequestInterceptor...)"><!-- --></A><H3>
addAllLast</H3>
<PRE>
public <A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A> <B>addAllLast</B>(<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>...&nbsp;e)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(org.apache.http.HttpRequestInterceptor...)"><!-- --></A><H3>
addAll</H3>
<PRE>
public <A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A> <B>addAll</B>(<A HREF="../../../../org/apache/http/HttpRequestInterceptor.html" title="interface in org.apache.http">HttpRequestInterceptor</A>...&nbsp;e)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addFirst(org.apache.http.HttpResponseInterceptor)"><!-- --></A><H3>
addFirst</H3>
<PRE>
public <A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A> <B>addFirst</B>(<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http">HttpResponseInterceptor</A>&nbsp;e)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addLast(org.apache.http.HttpResponseInterceptor)"><!-- --></A><H3>
addLast</H3>
<PRE>
public <A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A> <B>addLast</B>(<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http">HttpResponseInterceptor</A>&nbsp;e)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="add(org.apache.http.HttpResponseInterceptor)"><!-- --></A><H3>
add</H3>
<PRE>
public <A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A> <B>add</B>(<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http">HttpResponseInterceptor</A>&nbsp;e)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addAllFirst(org.apache.http.HttpResponseInterceptor...)"><!-- --></A><H3>
addAllFirst</H3>
<PRE>
public <A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A> <B>addAllFirst</B>(<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http">HttpResponseInterceptor</A>...&nbsp;e)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addAllLast(org.apache.http.HttpResponseInterceptor...)"><!-- --></A><H3>
addAllLast</H3>
<PRE>
public <A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A> <B>addAllLast</B>(<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http">HttpResponseInterceptor</A>...&nbsp;e)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(org.apache.http.HttpResponseInterceptor...)"><!-- --></A><H3>
addAll</H3>
<PRE>
public <A HREF="../../../../org/apache/http/protocol/HttpProcessorBuilder.html" title="class in org.apache.http.protocol">HttpProcessorBuilder</A> <B>addAll</B>(<A HREF="../../../../org/apache/http/HttpResponseInterceptor.html" title="interface in org.apache.http">HttpResponseInterceptor</A>...&nbsp;e)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="build()"><!-- --></A><H3>
build</H3>
<PRE>
public <A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol">HttpProcessor</A> <B>build</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/HttpProcessorBuilder.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpProcessor.html" title="interface in org.apache.http.protocol"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/http/protocol/HttpRequestExecutor.html" title="class in org.apache.http.protocol"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/protocol/HttpProcessorBuilder.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="HttpProcessorBuilder.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
